Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Engine not recognizing wads

I'm having some issues getting the game to fully recognize the wads I have. The issues in particular:

Heretic Registered:
Gives the error "Missing mods", and clicking "Fix..." brings up "file.iwad.heret (version 12.0.0) - Missing"
I have both the 1.0 (downgraded from Serpent) and 1.2 (patched form 1.0) wads in individual folders. It's looking at the 1.2 folder, sees the wad, but gives this error still. File matches the hash data on the doom wiki, it is the correct file.

Chex(R) Quest:
I assume the Charles Jacobi ("official") Chex Quest 3 wad, chex3.wad, is not the version this engine accepts? That's the version I have and it doesn't detect it.

Doom 64: Absolution:
This one I am unsure about. I downloaded the Doom 64 Absolution TC, and copied the wad over, but it doesn't seem to register it. I can only assume I'm doing something wrong on this one, have the wrong version or the wrong file.

Comments

  • If you do a search on this site you should find that SkyJake has given a URL for the Doom64: Absolution that will work with Doomsday. However, this was a year or so ago and changes have been made to the Doomsday engine so it may not still be compatible.

    Good Luck.
  • Kailen wrote:
    Gives the error "Missing mods", and clicking "Fix..." brings up "file.iwad.heret (version 12.0.0) - Missing"
    Could you post a screenshot or two of what your game library screen looks like (including these "missing mods" messages). Maybe that'll clear up what the issue is. In general, the Heretic WAD should not be treated a mod since its an IWAD.

    Regarding Chex Quest, Doomsday assumes the WAD is named "chex.wad".
    I downloaded the Doom 64 Absolution TC, and copied the wad over, but it doesn't seem to register it.
    The Absolution TC is not quite fully compatible with Doomsday 2.x. For more details, see the bunch of issues in the bug tracker related to this.

    It was originally developed for an earlier version of Doomsday, and it assumes this specific IWAD is used: https://github.com/skyjake/Doomsday-Engine/tree/master/packs/doom64tc/iwad
  • I appear to have accidentally fixed the Heretic issue by installing an older version (2.0.3), and removing the "mod" from it. (For the record, this was tried and did nothing when the error was occurring in 2.1.1.) Even reinstalling the newer version, that error stopped showing up.

    Renaming chex3.wad to chex.wad didn't help. Even attempting to run chex3.wad as a mod to Doom 1 or 2 doesn't work properly, likely because it apparently uses some calls from Hexen and thus really only works on source ports that are designed to be compatible with it (ZDoom, for example).
Sign In or Register to comment.